<?xml version="1.0" encoding="UTF-8"?>
<bom serialNumber="urn:uuid:27440d8b-2135-4e4d-81b2-aea4a03711ff" version="1" xmlns="http://cyclonedx.org/schema/bom/1.4">
  <metadata>
    <timestamp>2023-08-28T11:30:02Z</timestamp>
    <tools>
      <tool>
        <vendor>OWASP Foundation</vendor>
        <name>CycloneDX Maven plugin</name>
        <version>2.7.9</version>
        <hashes>
          <hash alg="MD5">8e595cdb67f17e4b41e046456970591d</hash>
          <hash alg="SHA-1">69e8ca804520d09ce4657e7235bae84d01cbffa6</hash>
          <hash alg="SHA-256">aa09074fe5aa403c008cd4fc7ef8ce41cd244489337f16b3e91a3914158a4db8</hash>
          <hash alg="SHA-512">1488a8112da8e675813d7585f57c5efb178aed32901118186ee12d0e4ae3d19c53774c7f860bf70d17d70f050119b69443a2637cf641675b4b5d9cdcdd69b89b</hash>
          <hash alg="SHA-384">b097295dfbf10887abc6eec58d4d0822cde5a73d1f5c1cf183a57bf569016ad5ced9d34efae3e574d82bb62837540c6c</hash>
          <hash alg="SHA3-384">289f9520bd73a2031276248a6ef8f0891c691062c2d1ea86a2bc9ea8db2c52377d92a53be9957179e71aee3deda26a8c</hash>
          <hash alg="SHA3-256">32b50a7efe5d491a4039c0017eca3cf49d98b55fc66d06b3dd06209487323474</hash>
          <hash alg="SHA3-512">1daf813da53e5d5cda4d0302ff3a5e388aa45d96ebe6dcbe240f35d33f14b1e6390f6bbe7f21f3ed8cf96ebd9f5516a08b18487b7339715109c81cebfc1563df</hash>
        </hashes>
      </tool>
    </tools>
    <component type="library" bom-ref="pkg:maven/org.glassfish/jakarta.faces@4.0.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>org.glassfish</group>
      <name>jakarta.faces</name>
      <version>4.0.0</version>
      <description>EE4J Compatible Implementation for Jakarta Faces API</description>
      <licenses>
        <license>
          <id>EPL-2.0</id>
        </license>
        <license>
          <id>GPL-2.0-with-classpath-exception</id>
        </license>
      </licenses>
      <purl>pkg:maven/org.glassfish/jakarta.faces@4.0.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://projects.eclipse.org/projects/ee4j/mojarra-parent/jakarta.faces</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/ee4j/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jakarta.ee-community/</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/ee4j/mojarra-parent/jakarta.faces</url></reference></externalReferences>
    </component>
    <properties>
      <property name="maven.goal">makeAggregateBom</property>
      <property name="maven.scopes">compile,provided,runtime,system,test</property>
    </properties>
  </metadata>
  <components>
    <component type="library" bom-ref="pkg:maven/jakarta.servlet/jakarta.servlet-api@6.0.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.servlet</group>
      <name>jakarta.servlet-api</name>
      <version>6.0.0</version>
      <description>Eclipse Enterprise for Java (EE4J) is an open source initiative to create standard APIs,
        implementations of those APIs, and technology compatibility kits for Java runtimes
        that enable development, deployment, and management of server-side and cloud-native applications.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">4bcb3175ed9b7aa3f038d082879ec2a8</hash>
        <hash alg="SHA-1">abecc699286e65035ebba9844c03931357a6a963</hash>
        <hash alg="SHA-256">c034eb1afb158987dbb53a5fea0cadf611c8dae8daadd59c44d9d5ab70129cef</hash>
        <hash alg="SHA-512">b810ce040ed0671a3161fb197845f3ae750cd38c474ef54c351b7b127ff3b4d624a26c33450c62474f42c1cde21c65324cda63b1b3ea0515a286e0bcb0c0c9d5</hash>
        <hash alg="SHA-384">2f02e56f5b0a3a7191b6cea6e3b872d8d29503299751c6dabfdf4d61b1ae2b431be9c13801083cd6e516b8f52ab38a95</hash>
        <hash alg="SHA3-384">373855d3aef3be1d54046c33d76daa0a3db62b04e0bfa5957670f17ede4f74426b9d858159e67eb6abc723278f272c23</hash>
        <hash alg="SHA3-256">cb8c3221eb78148915a75489df9d25665cd41b8949ede82c5ee7a792b1b32fe0</hash>
        <hash alg="SHA3-512">689137c5de2c0972392e181a4f03e5a1b3f839238839a28442da9aa91f4e5c2980eb48a0107c0fbcd2d35a44ab8a4d698fa197e0dadf264f3e547043fc15dba3</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-2.0</id>
        </license>
        <license>
          <id>GPL-2.0-with-classpath-exception</id>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.servlet/jakarta.servlet-api@6.0.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://projects.eclipse.org/projects/ee4j.servlet</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/servlet-api/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/servlet-dev</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/servlet-api</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.websocket/jakarta.websocket-api@2.1.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.websocket</group>
      <name>jakarta.websocket-api</name>
      <version>2.1.0</version>
      <description>Jakarta WebSocket - Server API</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">05cdae5acc6e53e596faa14176fff107</hash>
        <hash alg="SHA-1">9b2b5363ead21c4480e37ec15378583e11d3a823</hash>
        <hash alg="SHA-256">2f0603daaed334389906ef585003fd877221413a7e55a47771588a50bb4ef01a</hash>
        <hash alg="SHA-512">2666f0a42536f65bec00d4dcb044ad0be7bc09ef1ee1070b7aca5809d2af1fcc1ec44c4f23ce93badf40897cf38505e5424af86d42c0a55418ea7f41aa96de9e</hash>
        <hash alg="SHA-384">418bc9a2a92c1cfa95befbc857a270de8509b31e6a9905f0b9b61ca412415839ad54618bbeee61c782260b21dc9ee152</hash>
        <hash alg="SHA3-384">a8f1c8de08f5778e1743d91135946233e493554af8d4b7ec6786fa6a7f8abf09c41707868fb8d8f8298363e3e7b2ad72</hash>
        <hash alg="SHA3-256">03585eeed9f0e80e26edbd2bf48950125020b609c455222a1825e7ab0ade7b9f</hash>
        <hash alg="SHA3-512">1b64f0a1623d6fa5ac9a604753817a0bff786e9c589c94e6cc337e3e68eb2df153d3c8a0586059311259d710f34fc1b8f59ddb709833bd35e2892b4cd53a57e6</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-2.0</id>
        </license>
        <license>
          <name>GNU General Public License, version 2 with the GNU Classpath Exception</name>
          <url>https://www.gnu.org/software/classpath/license.html</url>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.websocket/jakarta.websocket-api@2.1.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://projects.eclipse.org/projects/ee4j.websocket</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/websocket-api/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/websocket-dev</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/websocket-api/jakarta.websocket-api</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.websocket/jakarta.websocket-client-api@2.1.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.websocket</group>
      <name>jakarta.websocket-client-api</name>
      <version>2.1.0</version>
      <description>Jakarta WebSocket - Client API</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">0ff98843ff4a6b9af51cac2d32719ffb</hash>
        <hash alg="SHA-1">ac185d7945d4c0a501b79ae003d9f8d9a1ae7eff</hash>
        <hash alg="SHA-256">853b5b5c7544c5289c5db038873da9be5970eef8ec9445bf66c00a09693cda89</hash>
        <hash alg="SHA-512">cf9934f7163f0b8736b7bbe4aee31ba210e03b50308db2e39258dd1db5112c89d9eb116fbde958334bdfb0c02343291bd37e0e0e907690073f68fad516179a68</hash>
        <hash alg="SHA-384">d6965d2b803c1cd4f2a03e9965338640e3af51c01a2597b48e1f9c4a7a45d47cffd50c3ab6d9d29e77f82e8a783de047</hash>
        <hash alg="SHA3-384">4199fb1d245cf413d11c240066db6877d839eec6eb4edffc16f8985ab6c703cc9a51b6a4dfb6c43e7e2cfcafd5d4425e</hash>
        <hash alg="SHA3-256">98177271b337c82473a3f5d119f24e478e08fa26d049a039f760a9cb6cb45683</hash>
        <hash alg="SHA3-512">4328303fb9327a0ad8892003db77b00035e0e95f835cb96a044144d5f5123389685793b7c89191ee349072135a87d6511b6cf580c7d2650ea37fe80d8edf4905</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-2.0</id>
        </license>
        <license>
          <name>GNU General Public License, version 2 with the GNU Classpath Exception</name>
          <url>https://www.gnu.org/software/classpath/license.html</url>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.websocket/jakarta.websocket-client-api@2.1.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://projects.eclipse.org/projects/ee4j.websocket</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/websocket-api/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/websocket-dev</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/websocket-api/jakarta.websocket-client-api</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.el/jakarta.el-api@5.0.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.el</group>
      <name>jakarta.el-api</name>
      <version>5.0.0</version>
      <description>Jakarta Expression Language defines an expression language for Java applications</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">191b53c8c1c12c969f0678f9c6e073b0</hash>
        <hash alg="SHA-1">2a22b304920f43d6427cdefb5ce5f6726e2a63a3</hash>
        <hash alg="SHA-256">57b822380207900f5145c2a687384c50fd41495d388a235791d96ae3b9bfd36d</hash>
        <hash alg="SHA-512">ff3d4aca7be6d215af9f48902fd91a828d5dc1e99f1ad2eed5b5283c499f61be852c8670959cd8d1faba88fbaaeaeda833958471bcd123aae2135fa870dcc028</hash>
        <hash alg="SHA-384">9c6c67fb6967f2a54279f6e26f61bd7a55739333ddb96fdaf93eb0fc06562b80266f2062c969e3267bb6a2b8a54deb9b</hash>
        <hash alg="SHA3-384">0f2cbab96cc6a65e8b7963bcaf6a05a3c6c0c98fecad5508a8d98900a2c7c3a32d86bbd73af3760f873930a4c26e50bb</hash>
        <hash alg="SHA3-256">a6c4525f56aa3362042833d1cdb53e3e915adec59fe5824b1323e0fabcb8c0ee</hash>
        <hash alg="SHA3-512">a0ece8e274523084f4faa01e613713fcaed02f401a04509d97724588c55fc00a2012d137abdef2b6dd5b0294316d19f393d546cf3bab1f7435c6169093a3283d</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-2.0</id>
        </license>
        <license>
          <name>GNU General Public License, version 2 with the GNU Classpath Exception</name>
          <url>https://www.gnu.org/software/classpath/license.html</url>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.el/jakarta.el-api@5.0.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://projects.eclipse.org/projects/ee4j.el</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/el-ri/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/el-dev</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/el-ri</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.enterprise/jakarta.enterprise.cdi-api@4.0.0?type=jar">
      <publisher>JBoss by Red Hat, Inc.</publisher>
      <group>jakarta.enterprise</group>
      <name>jakarta.enterprise.cdi-api</name>
      <version>4.0.0</version>
      <description>APIs for CDI (Contexts and Dependency Injection for Java)</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">70a8f1c6d6fd4b7a35eae51858d351fa</hash>
        <hash alg="SHA-1">e0d28f3357761ab8357899028323978440420030</hash>
        <hash alg="SHA-256">4762ec56f915bdaa6361d12fb75310e8d501d0ee9b0be597afc1b8470d48c9ec</hash>
        <hash alg="SHA-512">47120bf5d1c14db2e6f74c9a45e284ff32e0ee47f406e2909f6255cc9589f92051e660a55e5aa7b82d4ee52f3ebde4d58ea5527ec3456049da1a8d033de26285</hash>
        <hash alg="SHA-384">f2ca4cd1daebbde239fa39dcf9e083426699595e4e1cdeffe40b6182f6252aa1cc296c2b48a4f807d1d8c93b8bbb0594</hash>
        <hash alg="SHA3-384">92bf1835e7d36d2447fb9279592e40807ed42b33b1e20bd712d6db82772169b190f333a5a4fcd65b560242c72697a497</hash>
        <hash alg="SHA3-256">957adefcac99241746739dca9189b82d43fc3b9ccae5cac971e6bdc76d06f5e9</hash>
        <hash alg="SHA3-512">5185c695140aff73f2c5d18262852daf4a0898e6ed2fdf4cb6e6141fb5038475334d8b0ea301ac4c1c169026e1860b4474120ad622cb255231f088822ad1627f</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
          <url>https://www.apache.org/licenses/LICENSE-2.0</url>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.enterprise/jakarta.enterprise.cdi-api@4.0.0?type=jar</purl>
      <externalReferences><reference type="website"><url>http://cdi-spec.org</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/cdi/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jakarta.ee-community/</url></reference><reference type="vcs"><url>scm:git:git@github.com:cdi-spec/cdi.git</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.enterprise/jakarta.enterprise.lang-model@4.0.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.enterprise</group>
      <name>jakarta.enterprise.lang-model</name>
      <version>4.0.0</version>
      <description>Build Compatible (Reflection-Free) Java Language Model for CDI</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">10536a214570ef93b3f3fa7f55d3eadb</hash>
        <hash alg="SHA-1">b2c6034406e74bf969438ea96d0b43af85feacc9</hash>
        <hash alg="SHA-256">d81f6298fea3e9514c0ba414cab49b5934aaa2e8e6eb981752ab51e2b248e8e0</hash>
        <hash alg="SHA-512">cf788a4b718f4240852a0036765ba41988bd02f0eae9be05745fd463cff77597446db466474da629322dfb6fc21ac4d1e4521e85ae61323e470b20ec251ddd18</hash>
        <hash alg="SHA-384">4e245bbc505df19d3a0da28b95cd08e7db7d69f26acf4a0a8b542af4d44f206277ac775672dabdf7fb167635763d0fc5</hash>
        <hash alg="SHA3-384">14106ff9740069da4a8c70288723731d9f75d999007f1c512599ba2f7b42c6a2d2c1f186950d6d7b87da47da41462318</hash>
        <hash alg="SHA3-256">1193e0cd2fe4c74e3ef58f0083fd6380b00c94c34d2441eee2812436d4f66994</hash>
        <hash alg="SHA3-512">aa114959d1f496d3ee4bd2de83f20fc943765cc7f11a1f6a9b37a5f16fe8be6defc105989c377aea47f797f8f9360555a22bbacf7e6a74d4936123e970380b81</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
          <url>https://www.apache.org/licenses/LICENSE-2.0</url>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.enterprise/jakarta.enterprise.lang-model@4.0.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://projects.eclipse.org/projects/ee4j/jakarta.enterprise.cdi-parent/jakarta.enterprise.lang-model</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/ee4j/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jakarta.ee-community/</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/cdi/jakarta.enterprise.lang-model</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.interceptor/jakarta.interceptor-api@2.1.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.interceptor</group>
      <name>jakarta.interceptor-api</name>
      <version>2.1.0</version>
      <description>Jakarta Interceptors defines a means of interposing on business method invocations
        and specific events—such as lifecycle events and timeout events—that occur on instances
        of Jakarta EE components and other managed classes.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">c68f893a96a6ddbcd08c09d508ae0040</hash>
        <hash alg="SHA-1">1d06a662708601400af4556577ee514c4ad01549</hash>
        <hash alg="SHA-256">ef787d3f713fc6ff4f02cd4b0dbed08f93d8af3400c90cbb43fb4b5c0583710b</hash>
        <hash alg="SHA-512">d4d297f7239852f764bd211413898784bfdb18f76c2715ceb6e7be24237aee05affba392b70aa612212292106516de71a0b8967aaa75296873fa175ff5ef53df</hash>
        <hash alg="SHA-384">2a6eadc9b5031c42e80712df5c3c3cd74b813f5818494ccdd972b99134d1a3950607f793a134f255bb3f186f915cbc48</hash>
        <hash alg="SHA3-384">f2c86958aa33597f31062ba549f29f6ee0b4b5af468c5bdae1c50db90bf41ffcf0441eee319023ff6a6f8a185fb9c610</hash>
        <hash alg="SHA3-256">dcb7b537ebaa9bdc1499fcd810494a4ea2d5d175f8318fbb47aa32dddf198434</hash>
        <hash alg="SHA3-512">f2b850e87a2315afa022997c79494e0f81e7e30c562f4f9998896d2e88d00ac5fe097bb492f44f475ac3b4fb0f5d2649fa2124a817409df3db2a67c7ab541b01</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-2.0</id>
        </license>
        <license>
          <id>GPL-2.0-with-classpath-exception</id>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.interceptor/jakarta.interceptor-api@2.1.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://github.com/eclipse-ee4j/interceptor-api</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/interceptor-api/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jakarta.ee-community/</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/interceptor-api</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.inject/jakarta.inject-api@2.0.1?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.inject</group>
      <name>jakarta.inject-api</name>
      <version>2.0.1</version>
      <description>Jakarta Dependency Injection</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">72003bf6efcc8455d414bbd7da86c11c</hash>
        <hash alg="SHA-1">4c28afe1991a941d7702fe1362c365f0a8641d1e</hash>
        <hash alg="SHA-256">f7dc98062fccf14126abb751b64fab12c312566e8cbdc8483598bffcea93af7c</hash>
        <hash alg="SHA-512">f186b2ada470abba1cc3b4f8c4373d940fb7c71a051b2c26f7c204ad4dfb69235fbf3f9c33da36d744cb90f52d921c51d76c0ff263bacb35eafb66cab83dc47d</hash>
        <hash alg="SHA-384">405bd297a73901f013d48a0da028d04d400f3e61f4997c0e7297eb08120670a0e242e0002db8f130c33ab16cb02feb2d</hash>
        <hash alg="SHA3-384">4db7e54434d0a208c876868f5595b808f2728c0455feaa752ab7b569a2186fc37cb891c9aa0076de3d08f6da6ff06eba</hash>
        <hash alg="SHA3-256">3a5aba9f1ff1a130b76af886123eb375fa578498490df3dc60bb7ce7d59e9404</hash>
        <hash alg="SHA3-512">00bba8efc2d6e7f0a509b321868d75f1aaf0681a750d089d913bde8424ab7bb88aadf49de6e291e352523e4f8c117b1b48033ff31d4d665dcc43c4c6ea000ba9</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.inject/jakarta.inject-api@2.0.1?type=jar</purl>
      <externalReferences><reference type="website"><url>https://github.com/eclipse-ee4j/injection-api</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/ee4j/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jakarta.ee-community/</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/injection-api</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.validation/jakarta.validation-api@3.0.1?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.validation</group>
      <name>jakarta.validation-api</name>
      <version>3.0.1</version>
      <description>Jakarta Bean Validation API</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">45d7181a159c38220d4e36695f37e259</hash>
        <hash alg="SHA-1">a661a743336a229292fcbbbbe61b73d92a663752</hash>
        <hash alg="SHA-256">8c6309e8e8962fe91805f486147aef1d2bb63939e62073e632bf5f56524caf06</hash>
        <hash alg="SHA-512">badbf4513a4d4eeb1d3831386e132c290cf14695e4fc75a0e420394a65f6e6608f629c4a1528dc0a8b918fbaa697f62582f83044b87cb89a247851a0eaeba568</hash>
        <hash alg="SHA-384">2110784b9f48b4a82841538243e62379c2e9a81553f6d9a7daf40cdb833823071d4c02f369ef8504721db78b1bf7aff1</hash>
        <hash alg="SHA3-384">86c8c83c19610c35e6b7f5ee921bba74bd348d3aa49dc96ef095253e218b68f92fe08bbaaf5b566216f9d9d741f6fefd</hash>
        <hash alg="SHA3-256">3bd186aed9bd0d72c64aeeda67de8605d7d7f2fe3488abd0774d5c220fbd2246</hash>
        <hash alg="SHA3-512">c1ee1f95897afec606209977b6ab8aee512aef4ed26e005061620a9243e43ca585e3c33978c2cf1273ba07ddbae0dcf6448d47df24e99b4c142f06529205261f</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
          <url>https://www.apache.org/licenses/LICENSE-2.0</url>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.validation/jakarta.validation-api@3.0.1?type=jar</purl>
      <externalReferences><reference type="website"><url>https://beanvalidation.org</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://hibernate.atlassian.net/projects/BVAL/</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jakarta.ee-community/</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/beanvalidation-api</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.transaction/jakarta.transaction-api@2.0.1-RC1?type=jar">
      <publisher>EE4J Community</publisher>
      <group>jakarta.transaction</group>
      <name>jakarta.transaction-api</name>
      <version>2.0.1-RC1</version>
      <description>Jakarta Transactions</description>
      <scope>optional</scope>
      <hashes>
        <hash alg="MD5">9f69819bffc26a894f6e12276c12d10b</hash>
        <hash alg="SHA-1">ee7fcd599eaf93209564fc148f5112cf0c13abd1</hash>
        <hash alg="SHA-256">5a5e1e0fda7304ba825e2e3ace6cb56c77fd82bad4d49863f1cc55ddf94bd395</hash>
        <hash alg="SHA-512">f55627f9b9fdadfe89a339057110e54509530a6d42bbdc146ab774fcd9c448a7cd6e98fd9c059b8dc8a75e54dd0d65217f0c67e6dd203269b930f44266cc00e4</hash>
        <hash alg="SHA-384">673f5347e19a54054b2d4fd235803d660a6a8572f1bfb91f301ae3a6e0cc90cd8178cca587b72ae82ba7b3d0f85648af</hash>
        <hash alg="SHA3-384">7dec15952824963c2ef66fbecacf7acbc79f382be897b1352f859f540126e344fd8a32a1dc818326046c6f8d53b2a6fe</hash>
        <hash alg="SHA3-256">c731a2ceb0e442d2b81404c8827b4c96fba44468373ee887b19a4906a8d3f9d5</hash>
        <hash alg="SHA3-512">2c2f9a401153353a4c7b439a5064e2c7a980d444cb0681cacedcdb4b8ad99331e97ce1f7a8c8af45d9aa4607928621857aa5396e28c96e89b6b988af51b415e1</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-2.0</id>
        </license>
        <license>
          <id>GPL-2.0-with-classpath-exception</id>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.transaction/jakarta.transaction-api@2.0.1-RC1?type=jar</purl>
      <externalReferences><reference type="website"><url>https://projects.eclipse.org/projects/ee4j.jta</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/jta-api/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jta-dev/</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/jta-api</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.json/jakarta.json-api@2.1.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.json</group>
      <name>jakarta.json-api</name>
      <version>2.1.0</version>
      <description>Jakarta JSON Processing defines a Java(R) based framework for parsing, generating, transforming, and querying JSON documents.</description>
      <scope>optional</scope>
      <hashes>
        <hash alg="MD5">1279d8783f4a03345baf05cca23a298a</hash>
        <hash alg="SHA-1">1e713a9cd9ea9bd4dc6ec263d47e1b7f1cf18082</hash>
        <hash alg="SHA-256">01663e555ab3d0a5d082c9763e3ef739ca48dae3a40bc8bf526b0725b7213257</hash>
        <hash alg="SHA-512">dce971d9bae9e5a20a4865ceec866ef93742524b48dbd3a0b8d259bb18ceef03ad25f621c9b03a51ee74eca119f4a962d77c475143b7b8a1026973e2d9abbfbe</hash>
        <hash alg="SHA-384">17a8512e6c78112c8db8e1817fd787b8f48f4938febca8b3757696e8ab2a7959572ce3e286933bb6ec602b983ad1dce7</hash>
        <hash alg="SHA3-384">01137d2b0c3f880d9d77f175f0cca6198ea8ab9549f0b7c50cb275a07ef57514018b6c474e7e2cc12afc486cc7273917</hash>
        <hash alg="SHA3-256">2970f253fd2182f2581fa8f09350def7d5ad7bbda5a6b093b0f235c4ae9ba69b</hash>
        <hash alg="SHA3-512">b6d0a39a339ff363a0643f48945217945c7eab3b6275e31739cdf4623fc90c9aacf428384e71365031f9d7d10a30da01d2b33466ab067d7b6640b447c72b532b</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-2.0</id>
          <url>https://www.eclipse.org/legal/epl-2.0</url>
        </license>
        <license>
          <name>GNU General Public License, version 2 with the GNU Classpath Exception</name>
          <url>https://projects.eclipse.org/license/secondary-gpl-2.0-cp</url>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.json/jakarta.json-api@2.1.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://github.com/eclipse-ee4j/jsonp</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/ee4j/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jakarta.ee-community/</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/jsonp</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.ejb/jakarta.ejb-api@4.0.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.ejb</group>
      <name>jakarta.ejb-api</name>
      <version>4.0.0</version>
      <description>Jakarta Enterprise Beans API</description>
      <scope>optional</scope>
      <hashes>
        <hash alg="MD5">f6f430faa8d425252698302ace385322</hash>
        <hash alg="SHA-1">8cec81f1a9fa7fc41c719df435e480dbbc9cce55</hash>
        <hash alg="SHA-256">3fe79a728c63538ee77faa05557f5688968aceb8f8449225de134e4aa967a7b6</hash>
        <hash alg="SHA-512">d648952706803566f13f8b4a7bd6ac7cfdd535aef4dd73021ae02a70d8a40176710539bd402bbc79f4e16bcf42b5a6a0a59bc6cc3a23b6815c01efa1197e5d81</hash>
        <hash alg="SHA-384">71c31cae640fab685bd5053a876e7fa09f188c3e0ac4f0f03d9182b5865a7336d70cfa278adfc8ec4204f181bdab35cb</hash>
        <hash alg="SHA3-384">b70a8468323637fa03fc7760bfc74ddc1d32dbe0e507c4a35e8c2378b6ea088a62b75732377d6ab0269fef7f3364f6f8</hash>
        <hash alg="SHA3-256">2e9e249ee5bc3b9a0515ee18879ad754d7a3a49dae5ca302e2a943a655816554</hash>
        <hash alg="SHA3-512">080aa86d9559ae8dbd90ba1d846eb2793fdd01632af55ec1bdbd77a8368db9585c5718132679f2dae926a247d44c56befa217c65d4c984e95aa76d505a9a4da5</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-2.0</id>
        </license>
        <license>
          <id>GPL-2.0-with-classpath-exception</id>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.ejb/jakarta.ejb-api@4.0.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://github.com/eclipse-ee4j/ejb-api</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/ejb-api/issues</url></reference><reference type="mailing-list"><url>http://www.eclipse.org/lists/ejb-dev</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/ejb-api/tree/HEAD</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.persistence/jakarta.persistence-api@3.1.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.persistence</group>
      <name>jakarta.persistence-api</name>
      <version>3.1.0</version>
      <description>Eclipse Enterprise for Java (EE4J) is an open source initiative to create standard APIs,
        implementations of those APIs, and technology compatibility kits for Java runtimes
        that enable development, deployment, and management of server-side and cloud-native applications.</description>
      <scope>optional</scope>
      <hashes>
        <hash alg="MD5">35a1b7dfb38cf44ff795be607b0e6b5b</hash>
        <hash alg="SHA-1">66901fa1c373c6aff65c13791cc11da72060a8d6</hash>
        <hash alg="SHA-256">475389446d35c6f46c565728b756dc508c284644ea2690644e0d8e7e339d42fd</hash>
        <hash alg="SHA-512">5ff83c6ade13eff5ca9daf7cf13bbba46a2c8aec3cc6ae4eea884026a081698d0425d18804147a075459c02480d25c88528a942bee3f6778a1e903a6a1fc8263</hash>
        <hash alg="SHA-384">4cb763868a36715a04572b9c6d2244edd8c25c11ceda62230f03e3d76e79c138cdeaa7bedc82b157f1dec59e20986e4c</hash>
        <hash alg="SHA3-384">ab5f8ae2862eaf372ea0f5f0d5ffc4a7849710e7344e1d8c4b8809ef68b929fae6d2334ed9086d56e52f536094c8c929</hash>
        <hash alg="SHA3-256">5f446cb10eabaa42f6b778b9204171afda6ddb8a0f5ce1d73fca12ff8a30f22e</hash>
        <hash alg="SHA3-512">b9a03156e740c39dc49f8dbe35c12ff723d2e2a84a99ca79cd0b24f97ec8d99ada2b7d02dc7108a8381e449f7726fb0d186535bd4c0874ef4f8036ef05f075cd</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-2.0</id>
        </license>
        <license>
          <id>BSD-3-Clause</id>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.persistence/jakarta.persistence-api@3.1.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://github.com/eclipse-ee4j/jpa-api</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/jpa-api/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jpa-dev/</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/jpa-api.git</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.xml.ws/jakarta.xml.ws-api@4.0.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.xml.ws</group>
      <name>jakarta.xml.ws-api</name>
      <version>4.0.0</version>
      <description>Jakarta XML Web Services API</description>
      <scope>optional</scope>
      <hashes>
        <hash alg="MD5">1c7f1a2cc51773d2219b7c2936d81885</hash>
        <hash alg="SHA-1">8d34d7e1655da4e77e57ebadf8cf4df551501bab</hash>
        <hash alg="SHA-256">02dc0bd36358a56c349b89a99996d1f6544cf1153cf37fec4aef700809e6e3f2</hash>
        <hash alg="SHA-512">b10b66ba8d344421ec895349294846c55ceb60f37530eabebb8862ab4a170dbe3b047a289cf74d5df7bba960faea9323301c319340ea1310fd57d6142da8b081</hash>
        <hash alg="SHA-384">fcbbf529be1fc86a76e71946f82d6b8268cee2cfa048cc3a0f1cd7ee8dcff1569881d97ccca440a8b089a43d6f6ed5e1</hash>
        <hash alg="SHA3-384">637f3177fb274f88cf5c3b0c2b39211a5cb5bdb59229db744f797bfb24cfc871a09f354e96bb73e45955027189c39f48</hash>
        <hash alg="SHA3-256">769b011ffb26eee73754fda095664e7222201948db4e909dbc1d611ccce0814d</hash>
        <hash alg="SHA3-512">a0b780ce9f6595fa47cfa51ab39c9984efcc0578fe78755276cbb299ffffe172bc9051bc0c6fd9fe89d0d1a242ebb22e82da5aed25ec79b3b95144eac2364cf7</hash>
      </hashes>
      <licenses>
        <license>
          <id>BSD-3-Clause</id>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.xml.ws/jakarta.xml.ws-api@4.0.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://github.com/eclipse-ee4j/jax-ws-api</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/jax-ws-api/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jaxws-dev/</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/jax-ws-api</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.xml.bind/jakarta.xml.bind-api@4.0.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.xml.bind</group>
      <name>jakarta.xml.bind-api</name>
      <version>4.0.0</version>
      <description>Jakarta XML Binding API</description>
      <scope>optional</scope>
      <hashes>
        <hash alg="MD5">b5132a66e2d3a60904f8035a1f8a34a8</hash>
        <hash alg="SHA-1">bbb399208d288b15ec101fa4fcfc4bd77cedc97a</hash>
        <hash alg="SHA-256">57e3796ad5753640088f5f9d3c53c183f2c250b7dad90529ea3e19a5515aa122</hash>
        <hash alg="SHA-512">3628ea2ce89380f3d1c09aba611d5b1cf0b53e2a2f87689112e8153b9409995ebc9c6ab1e0e7cfcee194c8233604473bcd8e7b6c4b2aba4e0ef220332208ce70</hash>
        <hash alg="SHA-384">92170801cbeef42dfe5f14f008422fec5e17e4ef172eb2fdfd6d9f70bf269a0609b39187bf0c0f0cd6aae11502d28d37</hash>
        <hash alg="SHA3-384">559bc1752bcb888736fd48354363715676bff1f8b541239308d5510a19572430a5ba553cf7b9460149e9460b54486485</hash>
        <hash alg="SHA3-256">040475238bcea57cc293d184c25af8f88e058285e66be3e48469561fa820914b</hash>
        <hash alg="SHA3-512">49e69f0794ef9d4f37a11a847cb76f196b03ceb02858904bcfabd4832f2d0f51d21b1361325fd75b07f2195f83994e3f3bc519ffb4f9e227618a8a299f942d7a</hash>
      </hashes>
      <licenses>
        <license>
          <id>BSD-3-Clause</id>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.xml.bind/jakarta.xml.bind-api@4.0.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://github.com/eclipse-ee4j/jaxb-api/jakarta.xml.bind-api</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/jaxb-api/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jaxb-dev</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/jaxb-api.git/jakarta.xml.bind-api</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.activation/jakarta.activation-api@2.1.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.activation</group>
      <name>jakarta.activation-api</name>
      <version>2.1.0</version>
      <description>Jakarta Activation API 2.1 Specification</description>
      <scope>optional</scope>
      <hashes>
        <hash alg="MD5">7c79641566f97305e17c5f7b9bb33fc3</hash>
        <hash alg="SHA-1">a58861b5deac5e151140511cf57d6b80a83f2d20</hash>
        <hash alg="SHA-256">56e8d994095fe49c28138c60291482f66f18d12ac2b720e938697dce6a3135c7</hash>
        <hash alg="SHA-512">53026e23571e77b9696cf02d1eeb20295b7199a169c12db9807f2ef2512eff859b37108b96bfdbcd2c9f4a66728d12ad8182b5548146897cdc2ad49e7b2b2ebc</hash>
        <hash alg="SHA-384">2e835f36fa8c90490cd4f543062f3ce548175fc97b3dfa2ab3c63f2dcd59c57060a196ace53933639399657f6aec9e5c</hash>
        <hash alg="SHA3-384">bde529fca53e87d22908b4794730a03a2fa29b62ba8cce07edd4e10e34d98cd43a7b0e449241010ce55e962ee4140837</hash>
        <hash alg="SHA3-256">be51f4c74f02fb8c98fca209dc5d33ed89dfb240c882e790974c06bef563a6ee</hash>
        <hash alg="SHA3-512">835e222a4ed4e31f570afd5b10b1935ff8fe4453ce79e340cb021229cc186586e9461411ce7749798a97122794bc3a1965ab770f9682bfb68f6b740e41c50943</hash>
      </hashes>
      <licenses>
        <license>
          <id>BSD-3-Clause</id>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.activation/jakarta.activation-api@2.1.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://github.com/eclipse-ee4j/jaf</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/jaf/issues/</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jakarta.ee-community/</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/jaf</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.xml.soap/jakarta.xml.soap-api@3.0.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.xml.soap</group>
      <name>jakarta.xml.soap-api</name>
      <version>3.0.0</version>
      <description>Provides the API for creating and building SOAP messages.</description>
      <scope>optional</scope>
      <hashes>
        <hash alg="MD5">0bae885b14def34b3a8a4d3cd8fb8c6d</hash>
        <hash alg="SHA-1">3a665c1025c20355ef8a56016493c435e6901cbb</hash>
        <hash alg="SHA-256">33124e98d724b69e1673a61675c205b58c372605f4254d455b12b37398219a37</hash>
        <hash alg="SHA-512">b104530667865d76a7a4fdbe48039b9772528bc5fa079a95a24983e03848043ab75b4f5aa47668aaefb6967973bced6223227150c201cdb963519e5867018092</hash>
        <hash alg="SHA-384">9f34d569ee21cab7f44b7628e12388e2ce68f0587ce9db7f9dc555e033e532b11f86229bed33661709ae76272e03eda2</hash>
        <hash alg="SHA3-384">d6f76492f9d9e51b7d6b350e0cc96dd9ee9c43061727114b0a8dbc6a75188f1c707836e22de7edc1087df1824415609c</hash>
        <hash alg="SHA3-256">0cd5a3006c366cc173f6c33c43001724cd25f80979e75615da7e5aff46b72474</hash>
        <hash alg="SHA3-512">69686c726cff8e01e0c883dab35fe56532fc1049783b0537b8c5e7d97cda80e8740e657fef0073bda1e7ec716633968af7075af43c419762b7e7da7d8357cb7c</hash>
      </hashes>
      <licenses>
        <license>
          <id>BSD-3-Clause</id>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.xml.soap/jakarta.xml.soap-api@3.0.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://github.com/eclipse-ee4j/saaj-api</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/saaj-api/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/jaxws-dev</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/saaj-api</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/jakarta.annotation/jakarta.annotation-api@2.1.0?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>jakarta.annotation</group>
      <name>jakarta.annotation-api</name>
      <version>2.1.0</version>
      <description>Jakarta Annotations API</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">740bc4e6204ccfafa1b05e7402a6d3d1</hash>
        <hash alg="SHA-1">4f1cf660cde3a75a0ac3d12ee8afd2d798ec322d</hash>
        <hash alg="SHA-256">448f2abf53b0fb3e96eedc8fe0dafb6284af1252dd1aa4bd3e6774e91fd41a6a</hash>
        <hash alg="SHA-512">d673b58ae235e1b5f16ddd1d952b7bc7247994d51e94dc3ebbc525a15b0464766019205c69e2da9cb3fbc2ac07b8f70aafa201a6f891bfa1cf298d2caa0225a4</hash>
        <hash alg="SHA-384">f2562de0051ee4e147b4fbc0aec38e151c7a9ab78622b2a9e885deb03b21154ac6f8e7b40481723dd99ad584374bef97</hash>
        <hash alg="SHA3-384">fd2f036cff9e07fd056c74b0e09833b686a2c2b106147490be5228077f4015ab2e984937cfb3b52bbe45a86ad4cf326a</hash>
        <hash alg="SHA3-256">10160e3730d5ffa0e7c2672664179031f09a2799aa7743b5aa51865dbc7febc0</hash>
        <hash alg="SHA3-512">581c8930b683b0a8a922e7e1df93f3251554d17b440244daf30dddb73d1543f2c8c9e6db1cc04cba9a9e1254f1424a3b894885bc32b74c0e1aec72a0609b2222</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-2.0</id>
        </license>
        <license>
          <id>GPL-2.0-with-classpath-exception</id>
        </license>
      </licenses>
      <purl>pkg:maven/jakarta.annotation/jakarta.annotation-api@2.1.0?type=jar</purl>
      <externalReferences><reference type="website"><url>https://projects.eclipse.org/projects/ee4j.ca</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/common-annotations-api/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/ca-dev</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/common-annotations-api</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.glassfish.expressly/expressly@5.0.0-M1?type=jar">
      <publisher>Eclipse Foundation</publisher>
      <group>org.glassfish.expressly</group>
      <name>expressly</name>
      <version>5.0.0-M1</version>
      <description>Jakarta Expression Language Implementation</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">1c63e31679ffa8491766119a96779373</hash>
        <hash alg="SHA-1">24e0e02a01c70fbd6e875df71d410f6b56114514</hash>
        <hash alg="SHA-256">917815a72848ca6ae08e12a339f2c7bdf0c23ec127b787028f19f2209a9824a5</hash>
        <hash alg="SHA-512">8c47bf5b14f42d4134e5780699092aebb93f8480525392bdced9f20d41f5d5643a7a8a4d364664b9f3c5b7468e4be8f1678f71aa1ecf127e17fad3dc5434572a</hash>
        <hash alg="SHA-384">a85346e070c73f9423b3b30067baf78403a15823d2bf98dc0c720da695dab5e2d4013bdf54fb92916010b15d1cfdc1fc</hash>
        <hash alg="SHA3-384">c1ad92db0d23a0e8e1480c4b1888b801dbc7dd4331718794ab7fedb7c07642f48cae30fd357b5e09f6bff815045506c5</hash>
        <hash alg="SHA3-256">f8b29958a943c24e282bcab36679e49c33dae62ac17774c0f3d8bd313c2d5fbf</hash>
        <hash alg="SHA3-512">ccb463b8973675a69ecbfaee8b8403ebf8935f83f2fcdb3182fc04ad69a60c9463828f9cac69a59477b3ef14931b2cc5ee0b3267689fd3ab476efc35fe3ef447</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-2.0</id>
        </license>
        <license>
          <name>GNU General Public License, version 2 with the GNU Classpath Exception</name>
          <url>https://www.gnu.org/software/classpath/license.html</url>
        </license>
      </licenses>
      <purl>pkg:maven/org.glassfish.expressly/expressly@5.0.0-M1?type=jar</purl>
      <externalReferences><reference type="website"><url>https://projects.eclipse.org/projects/ee4j.expressly</url></reference><reference type="distribution"><url>https://jakarta.oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/eclipse-ee4j/expressly-ri/issues</url></reference><reference type="mailing-list"><url>https://dev.eclipse.org/mhonarc/lists/expressly-dev</url></reference><reference type="vcs"><url>https://github.com/eclipse-ee4j/expressly-ri</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.easymock/easymockclassextension@3.2?type=jar">
      <publisher>OFFIS, Henri Tremblay</publisher>
      <group>org.easymock</group>
      <name>easymockclassextension</name>
      <version>3.2</version>
      <description>The EasyMock Class Extension allows to generate Mock Objects for classes</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">e2e64de3f5f44133af8bc5e92da3adaa</hash>
        <hash alg="SHA-1">9c922ad77729f27eb7872aa570287e239a8346da</hash>
        <hash alg="SHA-256">e2aeb3ecec87d859b2f3072985d4b15873558bcf6410f422db0c0c5194c76c87</hash>
        <hash alg="SHA-512">873cb1b1ec4705eecbe979e5f6ee614deac13fb55e276c243e2b1efbca27921b9c17cdbe21c1d11b3e093d1b9f6c41f62eed8d296ab5fa1e3a44fd6ec9423c6d</hash>
        <hash alg="SHA-384">ee0fa4414f04cbcddaae3a191a284e322685c42e04006a81d63268fd8df15d5647a79c9cd99d8a074316fbd148c0b218</hash>
        <hash alg="SHA3-384">b349e732314568e9e7808c5e994f7d291a89a6c238b89ceac7a96c1830ce4aa8eec505c574b891fbc2c4caff3ed163c2</hash>
        <hash alg="SHA3-256">ea0e8c6a19d7e8165cc9a35e90a639cb57f4598000d7064f6eb7246d7240b5a3</hash>
        <hash alg="SHA3-512">056dfdbf283d800f37f82804c8c1fa3b2dd98a89ad444b18257bc4c0e6c36cab99cd557eee8c6dc8041071efcc2dc9dc23e4bfa61d3e5077ac0356a0307b656c</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/org.easymock/easymockclassextension@3.2?type=jar</purl>
      <externalReferences><reference type="website"><url>http://www.easymock.org/easymockclassextension</url></reference><reference type="distribution"><url>http://oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>http://jira.codehaus.org/browse/EASYMOCK</url></reference><reference type="mailing-list"><url>http://tech.groups.yahoo.com/group/easymock/</url></reference><reference type="vcs"><url>https://github.com/easymock/easymock/easymockclassextension</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.easymock/easymock@3.2?type=jar">
      <publisher>OFFIS, Tammo Freese, Henri Tremblay</publisher>
      <group>org.easymock</group>
      <name>easymock</name>
      <version>3.2</version>
      <description>EasyMock provides an easy way to create Mock Objects for interfaces and classes generating them on the fly</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">0da4291328e18798621c36fdf8bc4c3a</hash>
        <hash alg="SHA-1">00c82f7fa3ef377d8954b1db25123944b5af2ba4</hash>
        <hash alg="SHA-256">b3dd1cf5019f942d8cc2afad0aa6aef4b21532446fe90a6b68d567e3389763dd</hash>
        <hash alg="SHA-512">15464388a9f66aa55a046f27bc4e35b1dae65639532f72ce988e7790a0698f69af69de7fed5b2be9286b65e1e3d48c37b9f6982f9ebb7b26b98a717daeec276a</hash>
        <hash alg="SHA-384">f6597f8e57b6ddb9f7ddd945624a506c82cd01fd2293b0d45020ff2cc0287a77e2bbc8773b977ba90a98239aa436c945</hash>
        <hash alg="SHA3-384">ab4e58f40bf62b96317531054f0f9f8d9ede7d29094556ac035785b08e16fc95409b28de7355a16b7444bf9649c9e5d4</hash>
        <hash alg="SHA3-256">c4f05a4ae9488c31221e638f8d7a9cff4d7d836b3e5c77edba322bae2a21f097</hash>
        <hash alg="SHA3-512">442543c4b4e9e7dd94da788c9e2caff6d246ddb609f38616985776e594fa7dcd061057a3c9cd0d24ae83876f597653d97230e48869894139b64ae814234c6f56</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/org.easymock/easymock@3.2?type=jar</purl>
      <externalReferences><reference type="website"><url>http://www.easymock.org/easymock</url></reference><reference type="distribution"><url>http://oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>http://jira.codehaus.org/browse/EASYMOCK</url></reference><reference type="mailing-list"><url>http://tech.groups.yahoo.com/group/easymock/</url></reference><reference type="vcs"><url>https://github.com/easymock/easymock/easymock</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.objenesis/objenesis@1.3?type=jar">
      <publisher>Joe Walnes, Henri Tremblay, Leonardo Mesquita</publisher>
      <group>org.objenesis</group>
      <name>objenesis</name>
      <version>1.3</version>
      <description>A library for instantiating Java objects</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">2d649907bd6203f2661f70d430a6ade8</hash>
        <hash alg="SHA-1">dc13ae4faca6df981fc7aeb5a522d9db446d5d50</hash>
        <hash alg="SHA-256">dd4ef3d3091063a4fec578cbb2bbe6c1f921c00091ba2993dcd9afd25ff9444a</hash>
        <hash alg="SHA-512">869fe396555ba0c155fb05018fef32307655ccaac43d25619dc1591886bbdd544b26f962b57b19ab51cf8cd136ff7da2b9cebece7f11be10dd4cf0f29a39958d</hash>
        <hash alg="SHA-384">35352ad863d52191c505ee8e302cb3495cfc04e3366e273eecb10a90723b41ff672398a7f81b106c67acfc66e91c42e2</hash>
        <hash alg="SHA3-384">ea6fd7a86e34015d1b3b077732cb4fd78e56d5c50b56ad7ab709fc9904576ca81f3602a90d568723b2bc05db1f01135a</hash>
        <hash alg="SHA3-256">b6b1dd0717fccb0456f40389822871bb8a2926041af733a7457392a85c52599c</hash>
        <hash alg="SHA3-512">27bda3d2fa6493b8d3b5bf769f59aeae1b4ab117285a1c6bdcf37e899f15a39f55c6fd74f05c277f1a4ee90e19977567d11206040ef88dfd48ad7393d4ff2546</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/org.objenesis/objenesis@1.3?type=jar</purl>
      <externalReferences><reference type="website"><url>http://objenesis.org</url></reference><reference type="distribution"><url>http://oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="vcs"><url>http://objenesis.googlecode.com/svn/tags/1_3/objenesis</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.powermock/powermock-api-easymock@2.0.9?type=jar">
      <group>org.powermock</group>
      <name>powermock-api-easymock</name>
      <version>2.0.9</version>
      <description>PowerMock API for EasyMock.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">cb2c7c2f9888ff961a49b01672cf17c9</hash>
        <hash alg="SHA-1">ace3f16a82c0f1f4edbb810699b76705a1a50b6c</hash>
        <hash alg="SHA-256">d61dcaca5e2c0ac4f65d3ae6845deab175adc91779ed33a544142fe88497ee64</hash>
        <hash alg="SHA-512">048e408b3ad33e2b46fe320e792a326b82bab22bd3b6f76bfd43504f82cb6984f0978d8de1b7df0c2ad00e52c26c14b4a893a194762fce6fd179645fb4b3f560</hash>
        <hash alg="SHA-384">8c1453817fee91be0977baeb19a51ad231ae7a4b8e328697134660c40e1db5e5524f6cae9f93216f5f9c9f4f57fe7ad9</hash>
        <hash alg="SHA3-384">6813f1bafe07cae91f7d90314320deb55599b9f6845b9d937089c0d18ef8bf46d70467192c166fe1ee93836361935226</hash>
        <hash alg="SHA3-256">5d054b280c6436f6eafbdf9a2d49139e43436b10848314f14e63f8804f114eb8</hash>
        <hash alg="SHA3-512">8a3289b2a813945b8215c6d486f3ef9d5ea38e642912eb91f5acbf0f077c0715a1dbb33f5ce085ebe5478b39d00d678ada1f87f0cf165d50d8b055ac281b5cf7</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/org.powermock/powermock-api-easymock@2.0.9?type=jar</purl>
      <externalReferences><reference type="website"><url>http://www.powermock.org</url></reference><reference type="build-system"><url>https://travis-ci.org/powermock/powermock</url></reference><reference type="issue-tracker"><url>https://github.com/powermock/powermock/issues</url></reference><reference type="vcs"><url>https://github.com/powermock/powermock.git</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.powermock/powermock-api-support@2.0.9?type=jar">
      <group>org.powermock</group>
      <name>powermock-api-support</name>
      <version>2.0.9</version>
      <description>PowerMock API Utility classes.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">b41fb36d18e97cea765ca7d4bf4e1f23</hash>
        <hash alg="SHA-1">65deba8a4207715b7d8fa6c1b8d8cac06e6ecb00</hash>
        <hash alg="SHA-256">49e4cb9045aabf9bb280fd21b134008006280fe394ef428e468e5de5a1eceee2</hash>
        <hash alg="SHA-512">ba55dbe4f83e67525a76ed21a14b3470ec25d18af2accb7fc7e95222acbf390fead260859fe1f7ce8fb42687b97da628568f570b4748c733017008629bc2ef79</hash>
        <hash alg="SHA-384">72e6b60113336552e4c5e3350dce6be537f0403a12b717a9e7eb0f91ab4ff5182875f3c82d4cc99e19dfdb94e662edbf</hash>
        <hash alg="SHA3-384">f790078660e1e143ab2b131a1858762d5df107daaf05cb4521847019cc2f172c302db1c719de40d9ce69d092b6a71e67</hash>
        <hash alg="SHA3-256">4ccc3e013d663f8b04915523848ed455240425c2b1c9f6000b786032a1f06c6d</hash>
        <hash alg="SHA3-512">18a22d27000320277b27c2f103d18aa31ef56999ef1b67e8f9051a4f0370669041af3e02d9d4f51812a4a8051bbd114153b3f5f8a1710b0cf3807df2c30ba00f</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/org.powermock/powermock-api-support@2.0.9?type=jar</purl>
      <externalReferences><reference type="website"><url>http://www.powermock.org</url></reference><reference type="build-system"><url>https://travis-ci.org/powermock/powermock</url></reference><reference type="issue-tracker"><url>https://github.com/powermock/powermock/issues</url></reference><reference type="vcs"><url>https://github.com/powermock/powermock.git</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.powermock/powermock-reflect@2.0.9?type=jar">
      <group>org.powermock</group>
      <name>powermock-reflect</name>
      <version>2.0.9</version>
      <description>Various utilities for accessing internals of a class.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">36bfd3c5bb83f5b142f4c9a015e3322a</hash>
        <hash alg="SHA-1">4bb9ed43e5221926fb86cae44b445de110a51d05</hash>
        <hash alg="SHA-256">a1374bd368b52b54b252d5281b9391363b58cb667a6375242fd6a3f482bc8c23</hash>
        <hash alg="SHA-512">1615a1af5bd2295bc33336e75d0e3b3d8aea486b04ed5a7941ce5d4e2574cc8e1b16c615ebfa7314ff432e2f7dbd11dfc523f7cfd1ed65abdfede2838be6f1c6</hash>
        <hash alg="SHA-384">41278a73708b36edb3e530f586ab871ce56b90ed7336eaf3e7af0bfc5808caa2c0dca22719fbd4e7fdcd7d7efad8a290</hash>
        <hash alg="SHA3-384">03b3b7b7fb3da84451413c68cd096679547922e7cbb2765df5c6ae03db04449fd5619d0c6dc910212261af015a0cb433</hash>
        <hash alg="SHA3-256">cf4969d97931ec9109ee058c6ee7fae69df3b4029c81563b70902e0845ce9151</hash>
        <hash alg="SHA3-512">6597d82c5cdf306e36d87ab7e0579ba07214ed639b93b387697e34256e89a693c371dbc21d7545e4bd40fed2d3200e9c23512e86e209acbab98d7fcf92794f75</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/org.powermock/powermock-reflect@2.0.9?type=jar</purl>
      <externalReferences><reference type="website"><url>http://www.powermock.org</url></reference><reference type="build-system"><url>https://travis-ci.org/powermock/powermock</url></reference><reference type="issue-tracker"><url>https://github.com/powermock/powermock/issues</url></reference><reference type="vcs"><url>https://github.com/powermock/powermock.git</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/net.bytebuddy/byte-buddy@1.10.14?type=jar">
      <group>net.bytebuddy</group>
      <name>byte-buddy</name>
      <version>1.10.14</version>
      <description>Byte Buddy is a Java library for creating Java classes at run time.
        This artifact is a build of Byte Buddy with all ASM dependencies repackaged into its own name space.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">a6e02ea9a5acdc1a31df04d13f3ddc94</hash>
        <hash alg="SHA-1">5288bd154aa7bc8ea81a658f60a790f646025832</hash>
        <hash alg="SHA-256">0e6b935bfcb3e451d525956acad53ec86ff916d714abdbd32b3d2039771896f8</hash>
        <hash alg="SHA-512">30adb63eab83a36f7ce988c2858bf5418c0d3e448c4e4ce33b85129c24f4793262eb5b827b693fb27b67e180d0a7766ff6a666d6133a0e7aa5afa6d9a7f95413</hash>
        <hash alg="SHA-384">0f59c936ba21d5d716b010859f0aeb5fbfc4f1b88d8c92107068e0ee7e54c48929c22d49379440d4a5c5d14fa2f14a42</hash>
        <hash alg="SHA3-384">a7c112fda8e6450321015bcdde87def2f0a297cd3c3b0b06cc5958e1f6d1ee739a3fe2acf41498a37b7a1ba83a923f0c</hash>
        <hash alg="SHA3-256">dda308b8275cfef5a4b53056f1c4b28ce8f0d98c98017a58797d31cec64fca14</hash>
        <hash alg="SHA3-512">13b708ec256a65df85e0b92a3af1d6ff3994ace5ff3c946cf480ea35930542302c6118ea55a18be7f1109d282f2cbb978725f8c9514cd252bde48cb9e8f8be56</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/net.bytebuddy/byte-buddy@1.10.14?type=jar</purl>
      <externalReferences><reference type="website"><url>https://bytebuddy.net/byte-buddy</url></reference><reference type="distribution"><url>https://api.bintray.com/maven/raphw/maven/ByteBuddy</url></reference><reference type="issue-tracker"><url>https://github.com/raphw/byte-buddy/issues</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/net.bytebuddy/byte-buddy-agent@1.10.14?type=jar">
      <group>net.bytebuddy</group>
      <name>byte-buddy-agent</name>
      <version>1.10.14</version>
      <description>The Byte Buddy agent offers convenience for attaching an agent to the local or a remote VM.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">c570e0a67a441a071b1d4acdaf6342c3</hash>
        <hash alg="SHA-1">627b576d22189363c49eb59859664490ae230b38</hash>
        <hash alg="SHA-256">30272167eceb1cb68fa84730a12d1abfd1daed6ae0c19fdefee47a9a9a0cfd33</hash>
        <hash alg="SHA-512">70fd98f923afcdc0da64af12e74cf0eed0abe3f928fd9b6120c3dcf87051b78de7459697c88e954336d76057a11eb0afbf53aa41f002699b745885d54ebab7c5</hash>
        <hash alg="SHA-384">59aa88caefc6a6661c427f22781f79c4bf4bb5359400214ca285f0edd1c4609ba4213518795fcc4aa6c3c2553b239777</hash>
        <hash alg="SHA3-384">548fac9be73b689ce8e48316df45c18cd8ae189be3d00ad848a3e856fe2acf93d3a5017173d3c2a48fa2c8330e977997</hash>
        <hash alg="SHA3-256">a60113cfd70fc7abd6b2dcd2460e0fec6f4da06e30f5bf288335a13508d5fa00</hash>
        <hash alg="SHA3-512">fa25f3008672c25c7e0d4153a93e972b69fbec216895ca47de476dc944f244ba16057f7e089d41bbf4072563c175f231fd3584114df5a29c8d7852e2c005d308</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/net.bytebuddy/byte-buddy-agent@1.10.14?type=jar</purl>
      <externalReferences><reference type="website"><url>https://bytebuddy.net/byte-buddy-agent</url></reference><reference type="distribution"><url>https://api.bintray.com/maven/raphw/maven/ByteBuddy</url></reference><reference type="issue-tracker"><url>https://github.com/raphw/byte-buddy/issues</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.powermock/powermock-core@2.0.9?type=jar">
      <group>org.powermock</group>
      <name>powermock-core</name>
      <version>2.0.9</version>
      <description>Various utilities for accessing internals of a class.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">e3599c532ef3b70a3228197b43b2f8db</hash>
        <hash alg="SHA-1">50e5d2652fd311ee9c33919dfadd44504a582210</hash>
        <hash alg="SHA-256">e5183d1e197bcd67e8f86eeb5acc4cc4b4a7aa993e9daa249f8d8d6973f06c49</hash>
        <hash alg="SHA-512">43483fc26bdcc4e1ff846d2d2d03909740dea6d91598e5d84aa0b63cbebc9a73b096269a33bf9849a9cd02014ed3059d496573125c0e14f7185e65ffb54b5d0f</hash>
        <hash alg="SHA-384">91219e7d7ccd26d2127051fe5d25fa82d69d9c00621f435f868ea8f7937e81e53329281072a2a94264123dd2b80035b8</hash>
        <hash alg="SHA3-384">a8d044dddd9da81d4f03462f1a6093dce6ea80e89faa5af4fc2c8c27ebca12287c8ad6fb89bcb062f31d818648f1f911</hash>
        <hash alg="SHA3-256">7b7be79e77d294298b43bcee7c088bed968d182f39656738facd567fa973fb79</hash>
        <hash alg="SHA3-512">36b6fe1151542ae680a3cbda3b9f6e3b3e37b18ec2ae60bee2de1003194272310a17b64cd7898533f66a12e5b6390a1c93e086438c572b9c54ef5aa18b4c71d6</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/org.powermock/powermock-core@2.0.9?type=jar</purl>
      <externalReferences><reference type="website"><url>http://www.powermock.org</url></reference><reference type="build-system"><url>https://travis-ci.org/powermock/powermock</url></reference><reference type="issue-tracker"><url>https://github.com/powermock/powermock/issues</url></reference><reference type="vcs"><url>https://github.com/powermock/powermock.git</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.javassist/javassist@3.27.0-GA?type=jar">
      <publisher>Shigeru Chiba, www.javassist.org</publisher>
      <group>org.javassist</group>
      <name>javassist</name>
      <version>3.27.0-GA</version>
      <description>Javassist (JAVA programming ASSISTant) makes Java bytecode manipulation
    simple.  It is a class library for editing bytecodes in Java.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">05ea852668c9e38294d1bb823af95a70</hash>
        <hash alg="SHA-1">f63e6aa899e15eca8fdaa402a79af4c417252213</hash>
        <hash alg="SHA-256">0730bdb1547a5a3f458d60400d804078d80f329c5b5dbc2498a4e220de8f7013</hash>
        <hash alg="SHA-512">7237c6ba9ed082ea635d378d4fae27ae325a79ba747a3c082fd8d8f0fe5cfee60468165abbd152b71d34d5a7707911238e11ebb7f1ebaf8cb21006b4016bab76</hash>
        <hash alg="SHA-384">423796fee40c128f09ea8dec4658e088a868733e79796a5a5a11ca179a86890189a3f02fa1219a33dd1dec53071b6b53</hash>
        <hash alg="SHA3-384">cf398eaad8030f71b728c2ddfefff614368651fc3b311db878fd4159800c61543a9ad4be7989565da7ee0ef524bb60ac</hash>
        <hash alg="SHA3-256">64c28c2b64bbed18d0a5c1be7d844ec8394315daf7a88e1e555378a2d1b8ce00</hash>
        <hash alg="SHA3-512">4f7f3f11e7cac3bf7f3f26dd910d6fd64f92f7bc37988c89bd70bc507eeaab5f3ce8ba9f502a806c926aa3275c6f2009448121b410e4be0c27aaad845eacef2a</hash>
      </hashes>
      <licenses>
        <license>
          <id>MPL-1.1</id>
        </license>
        <license>
          <id>LGPL-2.1-only</id>
        </license>
        <license>
          <id>Apache-2.0</id>
          <url>https://www.apache.org/licenses/LICENSE-2.0</url>
        </license>
      </licenses>
      <purl>pkg:maven/org.javassist/javassist@3.27.0-GA?type=jar</purl>
      <externalReferences><reference type="website"><url>http://www.javassist.org/</url></reference><reference type="distribution"><url>https://repository.jboss.org/nexus/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://jira.jboss.org/jira/browse/JASSIST/</url></reference><reference type="vcs"><url>scm:git:git@github.com:jboss-javassist/javassist.git</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/cglib/cglib-nodep@3.2.9?type=jar">
      <group>cglib</group>
      <name>cglib-nodep</name>
      <version>3.2.9</version>
      <description>cglib is a powerful, high performance and quality Code Generation Library, It is used to extend JAVA classes and implements interfaces at runtime.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">048d02a089037d5468805b56644dc5ad</hash>
        <hash alg="SHA-1">27ca91ebc2b82f844e62a7ba8c2c1fdf9b84fa80</hash>
        <hash alg="SHA-256">ddedd01dd525a2d358bb76f2b193353689e2f9c246aa7444e63baef3cbff341b</hash>
        <hash alg="SHA-512">429f5e63c33f3e65615243ad24c27c86fd1ade3c5daa0a64f9faf8bce1e59ed9a6d4edc348281cbb8fd7ae10c01fc2e3716ff74571b14a31a37dde1de06e2a3a</hash>
        <hash alg="SHA-384">388a40ca5f3c2fda0fb9b0f70805fa042b9c3b7b97941feeab4c56df63cfab26486b106ea6d99ec96255bc7590af1231</hash>
        <hash alg="SHA3-384">a87710415e6b4d08193dc3277f142e5dfb8fcc4c44f972c5441c4cd4a676e289b72512a3115931f6a0dccc75ea1f9e68</hash>
        <hash alg="SHA3-256">c57fc5c60b077a85c46005f13c2266ccbf4c01eec7e5d4277b26fb8e42164799</hash>
        <hash alg="SHA3-512">fea7fe32b339f8b1791c92fb85c951905111be77526d4257cca64ab4817a249d70917dcdc54d32cf03568b09d1c9ad32607f096919f734e7e09187a978f528f9</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/cglib/cglib-nodep@3.2.9?type=jar</purl>
      <externalReferences><reference type="website"><url>https://github.com/cglib/cglib/cglib-nodep</url></reference><reference type="build-system"><url>https://travis-ci.org/cglib/cglib</url></reference><reference type="distribution"><url>https://oss.sonatype.org/service/local/staging/deploy/maven2/</url></reference><reference type="issue-tracker"><url>https://github.com/cglib/cglib/issues</url></reference><reference type="vcs"><url>https://github.com/cglib/cglib/cglib-nodep</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.powermock/powermock-module-junit4@2.0.9?type=jar">
      <group>org.powermock</group>
      <name>powermock-module-junit4</name>
      <version>2.0.9</version>
      <description>PowerMock support module for JUnit 4.x.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">30c9ae211d0d03e092c005263ed4e0a4</hash>
        <hash alg="SHA-1">09f13da80a3d75cc9579b55389e919f661ec42f0</hash>
        <hash alg="SHA-256">d0e8a83183a9a8a18ff83e1592a611fa206cab0838466ce367e3d0a851a274e2</hash>
        <hash alg="SHA-512">08504cc05d5f066c5f91e05ce535614bde0f8da2663ab5c83d1306b55e8f33fa983b6dbfcda5b280975f3bffa39d1dc38b9c7640e742bb4c877b08d0c0e75c3e</hash>
        <hash alg="SHA-384">cbf15e68c35b63ef8c74f9aba7c1a9a8796d3a1dbfea2cab12be66b9c49594984d3e0feae31cc4313374d7a0fde3da23</hash>
        <hash alg="SHA3-384">2aab6225ca2e55a3c2c12648f83418ba2cb21eba5755e34df81352f46b80395bc8b9b788f1b32a954c50da8c0cc0eb77</hash>
        <hash alg="SHA3-256">ed5f9dc88ae172d54f6870d62a04c64f9511f75ba6a669fa8991cedb127baa75</hash>
        <hash alg="SHA3-512">6304ebb3ca890a3340b0c600c0ae725a99bcba834b0f92f0021e1772519d21f76b7273b6f5717e372cfe773837ebf7f776ac9646e528b1a45e906db50223764e</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/org.powermock/powermock-module-junit4@2.0.9?type=jar</purl>
      <externalReferences><reference type="website"><url>http://www.powermock.org</url></reference><reference type="build-system"><url>https://travis-ci.org/powermock/powermock</url></reference><reference type="issue-tracker"><url>https://github.com/powermock/powermock/issues</url></reference><reference type="vcs"><url>https://github.com/powermock/powermock.git</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.powermock/powermock-module-junit4-common@2.0.9?type=jar">
      <group>org.powermock</group>
      <name>powermock-module-junit4-common</name>
      <version>2.0.9</version>
      <description>PowerMock support module for all versions of JUnit 4.x.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">61ac5aee9a0514198fce636a57a0f36d</hash>
        <hash alg="SHA-1">661b819ad3e8b5cab72bea3816ba2602d82d7f00</hash>
        <hash alg="SHA-256">446f975ffa98960ab6eafccb5c4d1e2cb5747f7d80cda653548a02d584289e83</hash>
        <hash alg="SHA-512">11f95e494a81b47b060b6f99d38bdf8440bf6c80cb4d1b7887b53a47c7d6ed4e5f084399dc1eb565e2a84065e169f99ac49f380fa29d68990ef77332dcb39196</hash>
        <hash alg="SHA-384">9491597964f8cf6c9e4387ea238e60be12cb0a9383bbcb92f8238a88fe5e130ba9fb60293bb60e5b45c639660370031e</hash>
        <hash alg="SHA3-384">8671a98fc15f39d2c0581fedd03af2092fb58fe08af6bc7dcde35058b5eee5da97f4016c0c49afad5fa6846601ccc333</hash>
        <hash alg="SHA3-256">46418232ab2fa7fb627b037e225404cb02ab73a43ee46bc412d530e0298f308b</hash>
        <hash alg="SHA3-512">57694205dc4830352473181e89faf4094503df437a0da27497a81cff7c4dbcff22960cf2aed77638e1e4b7a04d63d6951ff232c2fa5597b3b9e42a1d99d39ebb</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/org.powermock/powermock-module-junit4-common@2.0.9?type=jar</purl>
      <externalReferences><reference type="website"><url>http://www.powermock.org</url></reference><reference type="build-system"><url>https://travis-ci.org/powermock/powermock</url></reference><reference type="issue-tracker"><url>https://github.com/powermock/powermock/issues</url></reference><reference type="vcs"><url>https://github.com/powermock/powermock.git</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/junit/junit@4.12?type=jar">
      <publisher>JUnit</publisher>
      <group>junit</group>
      <name>junit</name>
      <version>4.12</version>
      <description>JUnit is a unit testing framework for Java, created by Erich Gamma and Kent Beck.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">5b38c40c97fbd0adee29f91e60405584</hash>
        <hash alg="SHA-1">2973d150c0dc1fefe998f834810d68f278ea58ec</hash>
        <hash alg="SHA-256">59721f0805e223d84b90677887d9ff567dc534d7c502ca903c0c2b17f05c116a</hash>
        <hash alg="SHA-512">5974670c3d178a12da5929ba5dd9b4f5ff461bdc1b92618c2c36d53e88650df7adbf3c1684017bb082b477cb8f40f15dcf7526f06f06183f93118ba9ebeaccce</hash>
        <hash alg="SHA-384">e2f0c2db405e282d0f84a1766b9e8d9736d4377e292a5ef8457aec10384f9077005865167025b2779634d75bcb4d62cd</hash>
        <hash alg="SHA3-384">a24a1d6d5ffe2f9fc3a90a442c3d1d5a12ae7bda3c68996c3b50f00186a2f961808c5ef504a771e9d6ab95ee38a383f0</hash>
        <hash alg="SHA3-256">02b1f076652120813646a0cb34350f0c73a3299b221567e089f6aaadf8ab444a</hash>
        <hash alg="SHA3-512">9e8f7057647c11564178e4569cf4f5682d3688b49d81acc60fd301f61053932ee9ac109c19cb639f7710d23afc76cb106ebde0f8143e2fe5fa08605201720a8b</hash>
      </hashes>
      <licenses>
        <license>
          <id>EPL-1.0</id>
          <url>http://www.eclipse.org/legal/epl-v10.html</url>
        </license>
      </licenses>
      <purl>pkg:maven/junit/junit@4.12?type=jar</purl>
      <externalReferences><reference type="website"><url>http://junit.org</url></reference><reference type="build-system"><url>https://junit.ci.cloudbees.com/</url></reference><reference type="distribution"><url>https://github.com/junit-team/junit/wiki/Download-and-Install</url></reference><reference type="issue-tracker"><url>https://github.com/junit-team/junit/issues</url></reference><reference type="mailing-list"><url>https://groups.yahoo.com/neo/groups/junit/info</url></reference><reference type="vcs"><url>http://github.com/junit-team/junit/tree/master</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/org.hamcrest/hamcrest-core@1.3?type=jar">
      <group>org.hamcrest</group>
      <name>hamcrest-core</name>
      <version>1.3</version>
      <description>This is the core API of hamcrest matcher framework to be used by third-party framework providers. This includes the a foundation set of matcher implementations for common operations.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">6393363b47ddcbba82321110c3e07519</hash>
        <hash alg="SHA-1">42a25dc3219429f0e5d060061f71acb49bf010a0</hash>
        <hash alg="SHA-256">66fdef91e9739348df7a096aa384a5685f4e875584cce89386a7a47251c4d8e9</hash>
        <hash alg="SHA-512">e237ae735aac4fa5a7253ec693191f42ef7ddce384c11d29fbf605981c0be077d086757409acad53cb5b9e53d86a07cc428d459ff0f5b00d32a8cbbca390be49</hash>
        <hash alg="SHA-384">4b5297d2a12cc32b824153afc83f1ba9f1869ca288330f0a2f759659d09e4c420eb6ba4a1efbfa0657b625edd41293d5</hash>
        <hash alg="SHA3-384">b14d34985c0a78cf0ba19b5a18bffd403e08adcb2afde228ddef6e16121c7046dbebf58c04d3419311c4496c48aa93be</hash>
        <hash alg="SHA3-256">f679af77deedf69b3c3066f7916583848c6fd32a950f9c0b0e2ef1da121717ba</hash>
        <hash alg="SHA3-512">bca821931e438a1977b7b4356b5f8cebf485634f82159d505c48267c34e6a0f4fde9c2917331365f66dc0e52e2ca3a2db5256863584110c27ecebefc28741f63</hash>
      </hashes>
      <licenses>
        <license>
          <id>BSD-3-Clause</id>
        </license>
      </licenses>
      <purl>pkg:maven/org.hamcrest/hamcrest-core@1.3?type=jar</purl>
      <externalReferences><reference type="website"><url>https://github.com/hamcrest/JavaHamcrest/hamcrest-core</url></reference><reference type="vcs"><url>https://github.com/hamcrest/JavaHamcrest/hamcrest-core</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/commons-beanutils/commons-beanutils@1.9.4?type=jar">
      <publisher>The Apache Software Foundation</publisher>
      <group>commons-beanutils</group>
      <name>commons-beanutils</name>
      <version>1.9.4</version>
      <description>Apache Commons BeanUtils provides an easy-to-use but flexible wrapper around reflection and introspection.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">07dc532ee316fe1f2f0323e9bd2f8df4</hash>
        <hash alg="SHA-1">d52b9abcd97f38c81342bb7e7ae1eee9b73cba51</hash>
        <hash alg="SHA-256">7d938c81789028045c08c065e94be75fc280527620d5bd62b519d5838532368a</hash>
        <hash alg="SHA-512">7762b348caecead49038a38a89754ff7d9be6199324315495ba47cf24f52c06faadf9306d925c8fe47c587589a939c82e491e1c730267fdf354243a68c0f96ff</hash>
        <hash alg="SHA-384">dcd3845917b8fb189cf4034b0d7c6d266ec7110f85ffbd2711cdea9eb94b4fa3e1cee9120b484c6a120b82769230ed3a</hash>
        <hash alg="SHA3-384">dfdb8845989be083de807184910124ad7e7e372959b34686cd5f5020f193a2997831ead497b0a5a0233f031aecdf55f6</hash>
        <hash alg="SHA3-256">127a81068335d6ca47f5f5e12d849dc1bc5300b2ad8d3f9b64ca30ff2a76d479</hash>
        <hash alg="SHA3-512">f67405d0a7667adf7cd35cd7416c54e1759380cdb9c8f179a10175058e40292808e17e69d48df4d4d6b5e268c314127cf3ab87af6920a271bb2e6e0df963940d</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/commons-beanutils/commons-beanutils@1.9.4?type=jar</purl>
      <externalReferences><reference type="website"><url>https://commons.apache.org/proper/commons-beanutils/</url></reference><reference type="build-system"><url>https://builds.apache.org/</url></reference><reference type="distribution"><url>https://repository.apache.org/service/local/staging/deploy/maven2</url></reference><reference type="issue-tracker"><url>https://issues.apache.org/jira/browse/BEANUTILS</url></reference><reference type="mailing-list"><url>http://mail-archives.apache.org/mod_mbox/commons-user/</url></reference><reference type="vcs"><url>http://svn.apache.org/viewvc/commons/proper/beanutils/tags/BEANUTILS_1_9_3_RC3</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/commons-logging/commons-logging@1.2?type=jar">
      <publisher>The Apache Software Foundation</publisher>
      <group>commons-logging</group>
      <name>commons-logging</name>
      <version>1.2</version>
      <description>Apache Commons Logging is a thin adapter allowing configurable bridging to other,
    well known logging systems.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">040b4b4d8eac886f6b4a2a3bd2f31b00</hash>
        <hash alg="SHA-1">4bfc12adfe4842bf07b657f0369c4cb522955686</hash>
        <hash alg="SHA-256">daddea1ea0be0f56978ab3006b8ac92834afeefbd9b7e4e6316fca57df0fa636</hash>
        <hash alg="SHA-512">ed00dbfabd9ae00efa26dd400983601d076fe36408b7d6520084b447e5d1fa527ce65bd6afdcb58506c3a808323d28e88f26cb99c6f5db9ff64f6525ecdfa557</hash>
        <hash alg="SHA-384">ac20720d7156131478205f1b454395abf84cfc8da2f163301af32f63bd3c4764bd26cb54ed53800f33193ae591f3ce9c</hash>
        <hash alg="SHA3-384">628eb4407e95dca84da1a06b08a6d9b832a49de8472b1b217e8607f08efeeed18b996232d64dd07f03e78e0e3bb4b078</hash>
        <hash alg="SHA3-256">9aab62deccf156ee6e324c925dfc30ecb53e8465802863a551901a461424e807</hash>
        <hash alg="SHA3-512">3fd76857f6d20c03799537cc961c1c4ddf1c375c6c192fb982363e3b9397ba138b77f24ef38b4202f44e37586789c0320e4de18fdadd2772304fd14a9b26d552</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/commons-logging/commons-logging@1.2?type=jar</purl>
      <externalReferences><reference type="website"><url>http://commons.apache.org/proper/commons-logging/</url></reference><reference type="build-system"><url>https://continuum-ci.apache.org/</url></reference><reference type="distribution"><url>https://repository.apache.org/service/local/staging/deploy/maven2</url></reference><reference type="issue-tracker"><url>http://issues.apache.org/jira/browse/LOGGING</url></reference><reference type="mailing-list"><url>http://mail-archives.apache.org/mod_mbox/commons-user/</url></reference><reference type="vcs"><url>http://svn.apache.org/repos/asf/commons/proper/logging/trunk</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/commons-collections/commons-collections@3.2.2?type=jar">
      <publisher>The Apache Software Foundation</publisher>
      <group>commons-collections</group>
      <name>commons-collections</name>
      <version>3.2.2</version>
      <description>Types that extend and augment the Java Collections Framework.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">f54a8510f834a1a57166970bfc982e94</hash>
        <hash alg="SHA-1">8ad72fe39fa8c91eaaf12aadb21e0c3661fe26d5</hash>
        <hash alg="SHA-256">eeeae917917144a68a741d4c0dff66aa5c5c5fd85593ff217bced3fc8ca783b8</hash>
        <hash alg="SHA-512">51c72f9aca7726f3c387095e66be85a6df97c74b00a25434b89188c1b8eab6e2b55accf7b9bd412430d22bd09324dec076e300b3d1fa39fccad471f0f2a3da16</hash>
        <hash alg="SHA-384">dd4e99b3314bd3c1a1ee26296615d9e44dadf7a1f8a7bbba44fb95121803d331e36d4cca4260e7609af78a47ba3e4073</hash>
        <hash alg="SHA3-384">8ce03528e4a6e95c44283b56eca87e6a6d3bf1363411a55b538f4f9110cf7470581ea5c73925e877ddab08dba0603f40</hash>
        <hash alg="SHA3-256">fd3d6134b5f07077b82ccf93d148dacf7c4ce5c971209510edd0e77e3e38c19e</hash>
        <hash alg="SHA3-512">c2a523916fb7c7d55a05d5e3d9e9b33000733f4b20a71be174e4e093e3f06ea78ad831edd1505527da7388105f8647efb7d5666ba852c90b4e2d5bb74256efbc</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/commons-collections/commons-collections@3.2.2?type=jar</purl>
      <externalReferences><reference type="website"><url>http://commons.apache.org/collections/</url></reference><reference type="build-system"><url>https://continuum-ci.apache.org/</url></reference><reference type="distribution"><url>https://repository.apache.org/service/local/staging/deploy/maven2</url></reference><reference type="issue-tracker"><url>http://issues.apache.org/jira/browse/COLLECTIONS</url></reference><reference type="mailing-list"><url>http://mail-archives.apache.org/mod_mbox/commons-user/</url></reference><reference type="vcs"><url>http://svn.apache.org/viewvc/commons/proper/collections/trunk</url></reference></externalReferences>
    </component>
    <component type="library" bom-ref="pkg:maven/commons-digester/commons-digester@2.1?type=jar">
      <publisher>The Apache Software Foundation</publisher>
      <group>commons-digester</group>
      <name>commons-digester</name>
      <version>2.1</version>
      <description>The Digester package lets you configure an XML to Java object mapping module
    which triggers certain actions called rules whenever a particular 
    pattern of nested XML elements is recognized.</description>
      <scope>required</scope>
      <hashes>
        <hash alg="MD5">528445033f22da28f5047b6abcd1c7c9</hash>
        <hash alg="SHA-1">73a8001e7a54a255eef0f03521ec1805dc738ca0</hash>
        <hash alg="SHA-256">e0b2b980a84fc6533c5ce291f1917b32c507f62bcad64198fff44368c2196a3d</hash>
        <hash alg="SHA-512">a2c822690786b41e0a02506c7aaf7e8a4b8251ea71d6978ee03e82b11ca242e49386d6da84dbc7182d5a6fb167822aed200da2d97e2f264d63ccf8f1b9681ac8</hash>
        <hash alg="SHA-384">2aaaa152e6e5fa4c632065e18bb17f8a223de0713be0610b62939b179fccdd37645f2e3073896f455ea95566274e14c1</hash>
        <hash alg="SHA3-384">68f842c1a87a2fae303d1662a2b9d9d63b358c11c7b26ec468ef64f5e677b44e3db3d30a7f4b74aa73bda0ecf9f4858a</hash>
        <hash alg="SHA3-256">dafa3bae04d0eb180e384caf6a86be5387537992b2b7c4998cc341d56f0ac4d7</hash>
        <hash alg="SHA3-512">7a3f2991476cd5f2f8e645fe9820a9820b720b19fc6451be09a3be35bab7d51fe28f094c0f9735aa5f6fb9dc432c8513b7d15ae44d66b0836e97abcf06d74ce4</hash>
      </hashes>
      <licenses>
        <license>
          <id>Apache-2.0</id>
        </license>
      </licenses>
      <purl>pkg:maven/commons-digester/commons-digester@2.1?type=jar</purl>
      <externalReferences><reference type="website"><url>http://commons.apache.org/digester/</url></reference><reference type="build-system"><url>http://vmbuild.apache.org/continuum/</url></reference><reference type="distribution"><url>https://repository.apache.org/service/local/staging/deploy/maven2</url></reference><reference type="issue-tracker"><url>http://issues.apache.org/jira/browse/DIGESTER</url></reference><reference type="mailing-list"><url>http://mail-archives.apache.org/mod_mbox/commons-user/</url></reference><reference type="vcs"><url>http://svn.apache.org/viewvc/commons/proper/digester/tags/DIGESTER_2_1_RC2</url></reference></externalReferences>
    </component>
  </components>
  <dependencies>
    <dependency ref="pkg:maven/org.glassfish/jakarta.faces@4.0.0?type=jar">
      <dependency ref="pkg:maven/jakarta.servlet/jakarta.servlet-api@6.0.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.websocket/jakarta.websocket-api@2.1.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.websocket/jakarta.websocket-client-api@2.1.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.el/jakarta.el-api@5.0.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.enterprise/jakarta.enterprise.cdi-api@4.0.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.validation/jakarta.validation-api@3.0.1?type=jar"/>
      <dependency ref="pkg:maven/jakarta.transaction/jakarta.transaction-api@2.0.1-RC1?type=jar"/>
      <dependency ref="pkg:maven/jakarta.json/jakarta.json-api@2.1.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.ejb/jakarta.ejb-api@4.0.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.persistence/jakarta.persistence-api@3.1.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.xml.ws/jakarta.xml.ws-api@4.0.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.annotation/jakarta.annotation-api@2.1.0?type=jar"/>
      <dependency ref="pkg:maven/org.glassfish.expressly/expressly@5.0.0-M1?type=jar"/>
      <dependency ref="pkg:maven/org.easymock/easymockclassextension@3.2?type=jar"/>
      <dependency ref="pkg:maven/org.powermock/powermock-api-easymock@2.0.9?type=jar"/>
      <dependency ref="pkg:maven/org.powermock/powermock-module-junit4@2.0.9?type=jar"/>
      <dependency ref="pkg:maven/commons-beanutils/commons-beanutils@1.9.4?type=jar"/>
      <dependency ref="pkg:maven/commons-digester/commons-digester@2.1?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/jakarta.servlet/jakarta.servlet-api@6.0.0?type=jar"/>
    <dependency ref="pkg:maven/jakarta.websocket/jakarta.websocket-api@2.1.0?type=jar"/>
    <dependency ref="pkg:maven/jakarta.websocket/jakarta.websocket-client-api@2.1.0?type=jar"/>
    <dependency ref="pkg:maven/jakarta.el/jakarta.el-api@5.0.0?type=jar"/>
    <dependency ref="pkg:maven/jakarta.enterprise/jakarta.enterprise.cdi-api@4.0.0?type=jar">
      <dependency ref="pkg:maven/jakarta.enterprise/jakarta.enterprise.lang-model@4.0.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.annotation/jakarta.annotation-api@2.1.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.el/jakarta.el-api@5.0.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.interceptor/jakarta.interceptor-api@2.1.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.inject/jakarta.inject-api@2.0.1?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/jakarta.enterprise/jakarta.enterprise.lang-model@4.0.0?type=jar"/>
    <dependency ref="pkg:maven/jakarta.annotation/jakarta.annotation-api@2.1.0?type=jar"/>
    <dependency ref="pkg:maven/jakarta.interceptor/jakarta.interceptor-api@2.1.0?type=jar"/>
    <dependency ref="pkg:maven/jakarta.inject/jakarta.inject-api@2.0.1?type=jar"/>
    <dependency ref="pkg:maven/jakarta.validation/jakarta.validation-api@3.0.1?type=jar"/>
    <dependency ref="pkg:maven/jakarta.transaction/jakarta.transaction-api@2.0.1-RC1?type=jar"/>
    <dependency ref="pkg:maven/jakarta.json/jakarta.json-api@2.1.0?type=jar"/>
    <dependency ref="pkg:maven/jakarta.ejb/jakarta.ejb-api@4.0.0?type=jar">
      <dependency ref="pkg:maven/jakarta.transaction/jakarta.transaction-api@2.0.1-RC1?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/jakarta.persistence/jakarta.persistence-api@3.1.0?type=jar"/>
    <dependency ref="pkg:maven/jakarta.xml.ws/jakarta.xml.ws-api@4.0.0?type=jar">
      <dependency ref="pkg:maven/jakarta.xml.bind/jakarta.xml.bind-api@4.0.0?type=jar"/>
      <dependency ref="pkg:maven/jakarta.xml.soap/jakarta.xml.soap-api@3.0.0?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/jakarta.xml.bind/jakarta.xml.bind-api@4.0.0?type=jar">
      <dependency ref="pkg:maven/jakarta.activation/jakarta.activation-api@2.1.0?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/jakarta.activation/jakarta.activation-api@2.1.0?type=jar"/>
    <dependency ref="pkg:maven/jakarta.xml.soap/jakarta.xml.soap-api@3.0.0?type=jar">
      <dependency ref="pkg:maven/jakarta.activation/jakarta.activation-api@2.1.0?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/org.glassfish.expressly/expressly@5.0.0-M1?type=jar">
      <dependency ref="pkg:maven/jakarta.el/jakarta.el-api@5.0.0?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/org.easymock/easymockclassextension@3.2?type=jar">
      <dependency ref="pkg:maven/org.easymock/easymock@3.2?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/org.easymock/easymock@3.2?type=jar">
      <dependency ref="pkg:maven/cglib/cglib-nodep@3.2.9?type=jar"/>
      <dependency ref="pkg:maven/org.objenesis/objenesis@1.3?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/cglib/cglib-nodep@3.2.9?type=jar"/>
    <dependency ref="pkg:maven/org.objenesis/objenesis@1.3?type=jar"/>
    <dependency ref="pkg:maven/org.powermock/powermock-api-easymock@2.0.9?type=jar">
      <dependency ref="pkg:maven/org.powermock/powermock-api-support@2.0.9?type=jar"/>
      <dependency ref="pkg:maven/cglib/cglib-nodep@3.2.9?type=jar"/>
      <dependency ref="pkg:maven/org.easymock/easymock@3.2?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/org.powermock/powermock-api-support@2.0.9?type=jar">
      <dependency ref="pkg:maven/org.powermock/powermock-reflect@2.0.9?type=jar"/>
      <dependency ref="pkg:maven/org.powermock/powermock-core@2.0.9?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/org.powermock/powermock-reflect@2.0.9?type=jar">
      <dependency ref="pkg:maven/org.objenesis/objenesis@1.3?type=jar"/>
      <dependency ref="pkg:maven/net.bytebuddy/byte-buddy@1.10.14?type=jar"/>
      <dependency ref="pkg:maven/net.bytebuddy/byte-buddy-agent@1.10.14?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/net.bytebuddy/byte-buddy@1.10.14?type=jar"/>
    <dependency ref="pkg:maven/net.bytebuddy/byte-buddy-agent@1.10.14?type=jar"/>
    <dependency ref="pkg:maven/org.powermock/powermock-core@2.0.9?type=jar">
      <dependency ref="pkg:maven/org.powermock/powermock-reflect@2.0.9?type=jar"/>
      <dependency ref="pkg:maven/org.javassist/javassist@3.27.0-GA?type=jar"/>
      <dependency ref="pkg:maven/net.bytebuddy/byte-buddy@1.10.14?type=jar"/>
      <dependency ref="pkg:maven/net.bytebuddy/byte-buddy-agent@1.10.14?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/org.javassist/javassist@3.27.0-GA?type=jar"/>
    <dependency ref="pkg:maven/org.powermock/powermock-module-junit4@2.0.9?type=jar">
      <dependency ref="pkg:maven/org.powermock/powermock-module-junit4-common@2.0.9?type=jar"/>
      <dependency ref="pkg:maven/junit/junit@4.12?type=jar"/>
      <dependency ref="pkg:maven/org.hamcrest/hamcrest-core@1.3?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/org.powermock/powermock-module-junit4-common@2.0.9?type=jar">
      <dependency ref="pkg:maven/org.powermock/powermock-reflect@2.0.9?type=jar"/>
      <dependency ref="pkg:maven/org.powermock/powermock-core@2.0.9?type=jar"/>
      <dependency ref="pkg:maven/junit/junit@4.12?type=jar"/>
      <dependency ref="pkg:maven/org.hamcrest/hamcrest-core@1.3?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/junit/junit@4.12?type=jar"/>
    <dependency ref="pkg:maven/org.hamcrest/hamcrest-core@1.3?type=jar"/>
    <dependency ref="pkg:maven/commons-beanutils/commons-beanutils@1.9.4?type=jar">
      <dependency ref="pkg:maven/commons-logging/commons-logging@1.2?type=jar"/>
      <dependency ref="pkg:maven/commons-collections/commons-collections@3.2.2?type=jar"/>
    </dependency>
    <dependency ref="pkg:maven/commons-logging/commons-logging@1.2?type=jar"/>
    <dependency ref="pkg:maven/commons-collections/commons-collections@3.2.2?type=jar"/>
    <dependency ref="pkg:maven/commons-digester/commons-digester@2.1?type=jar">
      <dependency ref="pkg:maven/commons-beanutils/commons-beanutils@1.9.4?type=jar"/>
      <dependency ref="pkg:maven/commons-logging/commons-logging@1.2?type=jar"/>
    </dependency>
  </dependencies>
</bom>
